import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

import classes from "./TextAreaInput.module.css";

type Props = Omit<HTMLMotionProps<"textarea">, "className"> & {
  className?: ClassValue;
  error?: boolean;
};

export default function TextAreaInput({ className, error, ...props }: Props) {
  return (
    <motion.textarea
      {...props}
      className={clsx(classes.input, error && classes.error, className)}
    />
  );
}
